package com.siwei.rsmonitoring.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

/**
 * 地块基本业务研判信息（DKJBXX_YWYP）对象 t_dkjbxx_ywyp
 *
 * @author siwei
 * @date 2025-02-25
 */
public class TDkjbxxYwyp extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 空间信息
     */
    @Excel(name = "空间信息")
    private String geom;

    /**
     * 地块编号(监测图斑编号)
     */
    @Excel(name = "地块编号(监测图斑编号)")
    private String dkbh;

    /**
     * 地块面积(亩)(监测面积(亩))
     */
    @Excel(name = "地块面积(亩)(监测面积(亩))")
    private String dkmj;

    /**
     * 行政区代码
     */
    @Excel(name = "行政区代码")
    private String xzqdm;

    /**
     * 行政区名称
     */
    @Excel(name = "行政区名称")
    private String xzqmc;

    /**
     * 前类型
     */
    @Excel(name = "前类型")
    private String qlx;

    /**
     * 后类型
     */
    @Excel(name = "后类型")
    private String hlx;

    /**
     * 前时相
     */
    @Excel(name = "前时相")
    private String qsx;

    /**
     * 后时相
     */
    @Excel(name = "后时相")
    private String hsx;

    /**
     * 中心点经度
     */
    @Excel(name = "中心点经度")
    private String lzb;

    /**
     * 中心线纬度
     */
    @Excel(name = "中心线纬度")
    private String bzb;

    /**
     * shp属性json
     */
    @Excel(name = "shp属性json")
    private String shpJson;

    /**
     * 前时相tif路径
     */
    @Excel(name = "前时相tif路径")
    private String qsxtif;

    /**
     * 后时相TIF路径
     */
    @Excel(name = "后时相TIF路径")
    private String hsxtif;

    /**
     * 是否可以更新 0可以 1不可以
     */
    @Excel(name = "是否可以更新 0可以 1不可以")
    private String checkUpdate;

    /**
     * 合法性
     */
    @Excel(name = "合法性")
    private String hfx;

    /**
     * 合法性1
     */
    @Excel(name = "合法性1")
    private String hfx1;

    /**
     * 面积
     */
    @Excel(name = "面积")
    private String mj;

    /**
     * 面积集
     */
    @Excel(name = "面积集")
    private String mjj;

    /**
     * 编号集
     */
    @Excel(name = "编号集")
    private String bhj;

    /**
     * sheet页json
     */
    @Excel(name = "sheet页json")
    private String sheetJson;

    private String yjjbntmj;
    private String gdmj;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setGeom(String geom) {
        this.geom = geom;
    }

    public String getGeom() {
        return geom;
    }

    public void setDkbh(String dkbh) {
        this.dkbh = dkbh;
    }

    public String getDkbh() {
        return dkbh;
    }

    public void setDkmj(String dkmj) {
        this.dkmj = dkmj;
    }

    public String getDkmj() {
        return dkmj;
    }

    public void setXzqdm(String xzqdm) {
        this.xzqdm = xzqdm;
    }

    public String getXzqdm() {
        return xzqdm;
    }

    public void setXzqmc(String xzqmc) {
        this.xzqmc = xzqmc;
    }

    public String getXzqmc() {
        return xzqmc;
    }

    public void setQlx(String qlx) {
        this.qlx = qlx;
    }

    public String getQlx() {
        return qlx;
    }

    public void setHlx(String hlx) {
        this.hlx = hlx;
    }

    public String getHlx() {
        return hlx;
    }

    public void setQsx(String qsx) {
        this.qsx = qsx;
    }

    public String getQsx() {
        return qsx;
    }

    public void setHsx(String hsx) {
        this.hsx = hsx;
    }

    public String getHsx() {
        return hsx;
    }

    public void setLzb(String lzb) {
        this.lzb = lzb;
    }

    public String getLzb() {
        return lzb;
    }

    public void setBzb(String bzb) {
        this.bzb = bzb;
    }

    public String getBzb() {
        return bzb;
    }

    public void setShpJson(String shpJson) {
        this.shpJson = shpJson;
    }

    public String getShpJson() {
        return shpJson;
    }

    public void setQsxtif(String qsxtif) {
        this.qsxtif = qsxtif;
    }

    public String getQsxtif() {
        return qsxtif;
    }

    public void setHsxtif(String hsxtif) {
        this.hsxtif = hsxtif;
    }

    public String getHsxtif() {
        return hsxtif;
    }

    public void setCheckUpdate(String checkUpdate) {
        this.checkUpdate = checkUpdate;
    }

    public String getCheckUpdate() {
        return checkUpdate;
    }

    public void setHfx(String hfx) {
        this.hfx = hfx;
    }

    public String getHfx() {
        return hfx;
    }

    public void setHfx1(String hfx1) {
        this.hfx1 = hfx1;
    }

    public String getHfx1() {
        return hfx1;
    }

    public void setMj(String mj) {
        this.mj = mj;
    }

    public String getMj() {
        return mj;
    }

    public void setMjj(String mjj) {
        this.mjj = mjj;
    }

    public String getMjj() {
        return mjj;
    }

    public void setBhj(String bhj) {
        this.bhj = bhj;
    }

    public String getBhj() {
        return bhj;
    }

    public void setSheetJson(String sheetJson) {
        this.sheetJson = sheetJson;
    }

    public String getSheetJson() {
        return sheetJson;
    }

    public String getYjjbntmj() {
        return yjjbntmj;
    }

    public void setYjjbntmj(String yjjbntmj) {
        this.yjjbntmj = yjjbntmj;
    }

    public String getGdmj() {
        return gdmj;
    }

    public void setGdmj(String gdmj) {
        this.gdmj = gdmj;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("geom", getGeom())
                .append("dkbh", getDkbh())
                .append("dkmj", getDkmj())
                .append("xzqdm", getXzqdm())
                .append("xzqmc", getXzqmc())
                .append("qlx", getQlx())
                .append("hlx", getHlx())
                .append("qsx", getQsx())
                .append("hsx", getHsx())
                .append("lzb", getLzb())
                .append("bzb", getBzb())
                .append("shpJson", getShpJson())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("qsxtif", getQsxtif())
                .append("hsxtif", getHsxtif())
                .append("checkUpdate", getCheckUpdate())
                .append("hfx", getHfx())
                .append("hfx1", getHfx1())
                .append("mj", getMj())
                .append("mjj", getMjj())
                .append("bhj", getBhj())
                .append("sheetJson", getSheetJson())
                .toString();
    }
}
